Requesting packages failed: Application error


#1

I installed Atom a while ago but only recently started using it. I’ve been installing some packages and keep seeing the following error every time I use the package UI inside of Atom:

Fetching featured packages failed.

Requesting packages failed: Application error

Searching for packages by name works just fine.

This happens in both OS X and Windows for me.

My Setup:

OS X 10.10.3
Atom 0.201.0 (0.201.0)
Installed via Kitchenplan & Homebrew Cask
Path: /opt/homebrew-cask/Caskroom/atom/latest/Atom.app
Symlinked to: /Applications

Windows 10 Pro Insider Preview (fully updated, slower branch)
VM via Parallels 10.
Atom 0.201.0
Installed via Chocolatey
Path: C:\Users\cwhite\AppData\Local\atom\app-0.201.0

I’ve done some searching here on the Atom forums but I haven’t found any solutions.

I am not running through a proxy. I found a reference to ATOM_PATH at one point which sounded promising but can’t find any further info on it.

Any help would be greatly appreciated!


#2

This is a known issue. Please subscribe to this issue for updates:


#3

Ah, thanks!